summaryrefslogtreecommitdiff
path: root/bin/run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/run.sh')
-rwxr-xr-xbin/run.sh41
1 files changed, 2 insertions, 39 deletions
diff --git a/bin/run.sh b/bin/run.sh
index 3256d0fd..e89e3af9 100755
--- a/bin/run.sh
+++ b/bin/run.sh
@@ -16,45 +16,8 @@ if [ "$(id -u)" -eq 0 ]; then
exit 1
fi
-#Is node installed?
-hash node > /dev/null 2>&1 || {
- echo "You need to install node to run Etherpad-Lite!" >&2
- exit 1
-}
-
-#Is npm installed?
-hash npm > /dev/null 2>&1 || {
- echo "You need to install npm to run Etherpad-Lite!" >&2
- exit 1
-}
-
-#Does a settings.json exist? if no copy the template
-if [ ! -f "settings.json" ]; then
- echo "Copy the settings template to settings.json..."
- cp -v settings.json.template settings.json
-fi
-
-echo "Ensure that all dependencies are up to date..."
-npm install
-
-echo "Ensure jQuery is downloaded and up to date..."
-DOWNLOAD_JQUERY="true"
-NEEDED_VERSION="1.6.2"
-if [ -f "static/js/jquery.min.js" ]; then
- VERSION=$(cat static/js/jquery.min.js | head -n 2 | tail -n 1 | grep -o "v[0-9]*\.[0-9]*\.[0-9]*");
-
- if [ ${VERSION#v} = $NEEDED_VERSION ]; then
- DOWNLOAD_JQUERY="false"
- fi
-fi
-
-if [ $DOWNLOAD_JQUERY = "true" ]; then
- wget -O static/js/jquery.min.js http://code.jquery.com/jquery-$NEEDED_VERSION.min.js
-fi
-
-#Remove all minified data to force node creating it new
-echo "Clear minfified cache..."
-rm var/minified* 2> /dev/null
+#prepare the enviroment
+bin/installDeps.sh || exit 1
#Move to the node folder and start
echo "start..."